
CoCoA-5 - Bug #1577

radical: lex order,  ERROR: Ring is not standard graded

15 Feb 2021 22:48 - John Abbott

Status: Closed Start date: 15 Feb 2021

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: bug Estimated time: 0.00 hour

Target version: CoCoA-5.4.0 Spent time: 0.80 hour

Description

This should not happen:

use QQ[x,y],lex;

I := ideal(x*y +x,  x^2 +x);

radi := radical(I); --> triggers error

ERROR: Ring is not standard graded

 

The error was triggered by a call to DimQuot

I thought this had already been reported, but cannot find the issue.

Related issues:

Related to CoCoALib - Bug #1779: Radical error with lex (again) Closed 05 Feb 2024

Related to CoCoALib - Feature #1780: radical for ideals in SparsePolyRing:  c... Closed 06 Feb 2024

History

#1 - 15 Feb 2021 22:49 - John Abbott

The full error mesg is:

--> ERROR: Ring is not standard graded

--> [CoCoALib] dim

--> WHERE: at line 863 (column 8) of radical.cpkg5

-->   D := DimQuot(LT(I));

-->        ^^^^^^^^^^^^^^

#2 - 19 Feb 2021 17:26 - John Abbott

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 70

Anna has implemented the obvious workaround: map into a new poly ring (with degrevlex), and then unmap the result.

Seems to work OK.

#3 - 19 Mar 2021 12:39 - Anna Maria Bigatti
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

#4 - 05 Feb 2024 17:58 - Anna Maria Bigatti

- Related to Bug #1779: Radical error with lex (again) added

#5 - 06 Feb 2024 09:02 - Anna Maria Bigatti

- Related to Feature #1780: radical for ideals in SparsePolyRing:  code in C++  added
